<? if ($this->comments): ?>
	<? foreach ($this->comments as $comment): ?>
		<div class="comment">
			<div class="name-wrap">
				<span class="name"><?= $comment->name ?></span>
				<span class="sep">&nbsp;</span>
				<?= date('F d, Y', $comment->date) ?> 
				<span class="time">- <?= date('H:i', $comment->date) ?></span>
			</div>
			<div class="text"><?= $comment->comment ?></div>
			<a href="#" class="click-to-reply" onclick="return Cubix.Blog.ReplyForm(<?= $comment->id ?>);"><?= __('click_to_reply') ?></a>

			<div class="replies" id="reply-form-<?= $comment->id ?>">
				
			</div>

			<div class="replies" id="replies-<?= $comment->id ?>">
				<? $this->replies = $comment->replies; ?>
				<?= $this->render('blog/ajax-replies.phtml') ?>
			</div>
		</div>
	<? endforeach; ?>

	<? $pages_count = ceil($this->count / $this->per_page); ?>
	<? if ($pages_count != 1): ?>
		<div class="clear"></div>
		<div class="paging-list">
			<? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

			<? if (1 < $this->page): ?>
				<a href="#" onclick="return Cubix.Blog.ShowComments({page: <?= $this->page - 1 ?>, post_id: <?= $this->comments[0]->post_id ?>});"><?= $this->t('previous') ?></a>
			<? endif ?>

			<? foreach ($pages as $page): ?>
				<? if ($this->page == $page): ?>
					<span class="active"><?= $page ?></span>
				<? else: ?>
					<a href="#" onclick="return Cubix.Blog.ShowComments({page: <?= $page ?>, post_id: <?= $this->comments[0]->post_id ?>});"><?= $page ?></a>
				<? endif ?>
			<? endforeach ?>

			<? if ($pages_count > $this->page): ?>
				<a href="#" onclick="return Cubix.Blog.ShowComments({page: <?= $this->page + 1 ?>, post_id: <?= $this->comments[0]->post_id ?>});"><?= $this->t('next') ?></a>
			<? endif ?>
		</div>
	<? endif; ?>
<? else: ?>
	<div class="no-posts"><?= __('no_comments_found') ?></div>
<? endif; ?>